/*
 * Copyright © 2006 - 2007 Claudio Corsi, Paolo Ferragina
 *
 * This file is part of SmallText library.
 *
 * SmallText is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * SmallText is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package it.unipi.di.tokenizer;

import it.unimi.dsi.mg4j.util.MutableString;

import java.io.IOException;

/**
 * Basic methods to implement for a brand-new {@link Tokenizer}.
 * 
 * @author Claudio Corsi
 * @author Paolo Ferragina
 *
 */
public interface Tokenizer {
	public MutableString next() throws IOException;
	public void close() throws IOException;
	public void reset() throws IOException;
}
